Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		frozen-bubble
Version:	2.2.0
Release:	1
Provides:	perl(fb_c_stuff::fb_c_stuff) perl(FBLE) perl(FBLE::FBLE) perl(fb_stuff) perl(fb_stuff::fb_stuff) perl(fbsyms) perl(fbsyms::fbsyms)
License:	GNU/GPL 
URL:		http://www.frozen-bubble.org
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:        fb-server.init
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Frozen Bubble arcade game.
Requires:	SDL_perl_2 >= 2.1.0 perl SDL_image SDL_Pango
BuildRequires:	SDL_image-devel
BuildRequires:	smpeg-devel gettext

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

#Automatically resolved build dependencies
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: perl-gettext
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_Pango-devel
BuildRequires: SDL_perl_2

%description
Full-featured, colorful animated penguin eyecandy, 100 levels of 1p game, hours
and hours of 2p game, 3 professional quality 20-channels musics, 15 stereo
sound effects, 7 unique graphical transition effects and a level editor.
You need this game.

%package server
Summary: 	Frozen Bubble network game dedicated server
Group: 		System/Daemons

%description server
Frozen Bubble network game dedicated server. The server is already included
with the game in order to be launched automatically for LAN games, so you
only need to install this package if you want to run a fully dedicated
Frozen Bubble network game server.

%post server
/usr/sbin/useradd -s /sbin/nologin -d / fbubble || :
/sbin/chkconfig --add fb-server

%preun server
if [ $1 -eq 0 ]; then
#    /sbin/service fb-server stop &>/dev/null || :
    /sbin/chkconfig --del fb-server
fi

%postun server
/usr/sbin/userdel fbubble || :
#if [ $1 -ge 1 ]; then
#    /sbin/service fb-server condrestart &>/dev/null || :
#fi


%prep
%setup -q
# Add a directory to the module path for the app's private perl modules
sed -ie "s#use fb_stuff;#use lib qw(%{_libdir}/%{name}/perl);\n&#" frozen-bubble
sed -ie "s#use fb_stuff;#use lib qw(%{_libdir}/%{name}/perl);\n&#" frozen-bubble-editor
# Rename this README since the main server README has the same name
mv server/init/README server/README.init
# Change the example server configuration file to be a working one, which only
# launches a LAN server and doesn't try to register itself on the Internet
sed -ie "s#^a .*#z\nq\nL#" server/init/fb-server.conf

%build
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/perl5/site_perl/5.10.0/i686-linux-thread-multi/
make %{?_smp_mflags} \
    OPTIMIZE="${RPM_OPT_FLAGS}" \
    CFLAGS="${RPM_OPT_FLAGS} `pkg-config glib-2.0 --cflags`" \
    LIBS="`pkg-config glib-2.0 --libs`" \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    DATADIR=%{_datadir} \
    INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    DATADIR=%{_datadir} \
    DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Clean up unneeded files
rm -f `find $RPM_BUILD_ROOT -name perllocal.pod`
chmod -R u+w $RPM_BUILD_ROOT/*
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/fb_c_stuff/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/fb_c_stuff/fb_c_stuff.bs

# Move some directories around
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/perl
mv $RPM_BUILD_ROOT%{perl_vendorarch}/auto $RPM_BUILD_ROOT%{_libdir}/%{name}/perl
mv $RPM_BUILD_ROOT%{perl_vendorarch}/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/perl

# Desktop file and icon stuff
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
#desktop-file-install --vendor fedora            \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
#  %{SOURCE1}
install -D -p -m 644 icons/frozen-bubble-icon-16x16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 644 icons/frozen-bubble-icon-32x32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -p -m 644 icons/frozen-bubble-icon-48x48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# Install server init script and default configuration
install -D -p -m 755 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/fb-server
install -D -p -m 644 server/init/fb-server.conf \
    $RPM_BUILD_ROOT%{_sysconfdir}/fb-server.conf

# Duplicate the server (it's tiny) to be used in both the game and standalone
# server package
cp -a $RPM_BUILD_ROOT%{_libdir}/%{name}/fb-server \
      $RPM_BUILD_ROOT%{_bindir}/



mkdir -p $RPM_BUILD_ROOT%_applications
cp %{SOURCE1} $RPM_BUILD_ROOT%_applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TIPS
%{_bindir}/%{name}*
%{_libdir}/%{name}/
#%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man6/%{name}*.6.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files server
%defattr(-, root, root)
%doc COPYING server/AUTHORS server/README*
%config(noreplace) %{_sysconfdir}/fb-server.conf
%{_sysconfdir}/rc.d/init.d/fb-server
%{_bindir}/fb-server

%changelog
* Wed Dec 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- version update
* Sat Jun 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-4
- rebuilt
* Sun Jan 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-3
- rebuilt against perl 5.10.0
- fixed %post scriplet in server package
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 2.1.0-2
- corrected package group
* Fri Nov 24 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.0-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1
- Version update
* Sat Mar 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.0-5
- rebuilt for srpm, fixed BUG: #0000131
